Package org.codehaus.groovy.classgen.asm

# Class BytecodeDumper

java.lang.Object
org.codehaus.groovy.classgen.asm.BytecodeDumper

All Implemented Interfaces:
  `BytecodeProcessor`

public class BytecodeDumper extends Object implements BytecodeProcessor
An utility class which can be used in test cases to dump generated bytecode.

Since:
  2.4.0
Author:
  Cédric Champeau

## Field Summary

Fields
Modifier and Type
Field
Description
`static final BytecodeDumper`
`STANDARD_ERR`

## Constructor Summary

Constructors
Constructor
Description
`BytecodeDumper(Writer out)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`processBytecode(String name, byte[] original)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STANDARD_ERR

public static final BytecodeDumper STANDARD_ERR

## Constructor Details

### BytecodeDumper

public BytecodeDumper(Writer out)

## Method Details

### processBytecode

public byte[] processBytecode(String name, byte[] original)

Specified by:
  `processBytecode` in interface `BytecodeProcessor`